using System;

namespace Vage
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] NM = Console.ReadLine().Split();
            int N = int.Parse(NM[0]);
            int M = int.Parse(NM[1]);
            int[,] vage = new int[N,2];
            int[] rezultati = new int[M];
            for(int i = 0; i < N; i++)
            {
                string[] opseg = Console.ReadLine().Split();
                vage[i,0] = int.Parse(opseg[0]);
                vage[i,1] = int.Parse(opseg[1]);
            }
            for (int i = 0; i < M; i++)
            {
                string[] pitanja = Console.ReadLine().Split();
                int i1=int.Parse(pitanja[0]);
                int i2=int.Parse(pitanja[1]);
                int tezina = int.Parse(pitanja[2]);
                int brojac = 0;
                for(int j = i1 - 1; j < i2; j++)
                {
                    if (tezina >= vage[j,0]&&tezina <= vage[j, 1])
                    {
                        brojac++;
                    }
                }
                rezultati[i] = brojac;
            }
            for (int i = 0; i < M; i++)
            {
                Console.WriteLine(rezultati[i]);
            }
        }
    }
}